> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update member

> Update member details for your organization



## OpenAPI

````yaml put /api/v2/member
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/member:
    put:
      tags:
        - Accounts
      summary: Update member
      description: Update member details for your organization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - targetMemberId
              properties:
                targetMemberId:
                  description: User Id of the member you are updating
                  type: number
                  example: 3
                email:
                  description: New email for the member
                  type: string
                  example: member@acmesolar.com
                role:
                  description: Role for the member
                  type: string
                  example: admin
                permittedAccountIds:
                  description: >-
                    Account ids that this member can access. Send empty array to
                    remove all account restrictions
                  type: array
                  items:
                    type: number
                  example:
                    - 12345
                    - 67890
      responses:
        '201':
          description: Member updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Member updated
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````